options {
	directory "/var/named";
	/*
	 * If there is a firewall between you and nameservers you want
	 * to talk to, you might need to uncomment the query-source
	 * directive below.  Previous versions of BIND always asked
	 * questions using port 53, but BIND 8.1 uses an unprivileged
	 * port by default.
	 */
	// query-source address * port 53;
};

// 
// Caching nameserver which also can resolve names within mydomain.net
// note other files /var/named/caching/mydomain.zone etc are also required.
// also note that without (I think) two more slave dns servers for mydomain.net
// this server will be "lame". I don't care, this is a bodge for me to make stuff
// work. Don't do this if you're offering services to the outside world. Learn
// how to do it properly.
//
// Paul Norton 19/11/2002
// 
zone "." IN {
	type hint;
	file "caching/named.ca";
};

zone "mydomain.net" IN {
	type master;
	file "caching/mydomain.zone";
};

zone "localhost" IN {
	type master;
	file "caching/localhost.zone";
	allow-update { none; };
};

zone "0.0.127.in-addr.arpa" IN {
	type master;
	file "caching/named.local";
	allow-update { none; };
};
